%define upstream_name    Pod-Weaver-Plugin-EnsureUniqueSections
%define upstream_version 0.121550

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Ensure that POD has no duplicate section headers
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Lingua::EN::Inflect::Number)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(PPI)
BuildRequires: perl(Pod::Elemental)
BuildRequires: perl(Pod::Elemental::Selectors)
BuildRequires: perl(Pod::Elemental::Transformer::Nester)
BuildRequires: perl(Pod::Elemental::Transformer::Pod5)
BuildRequires: perl(Pod::Weaver)
BuildRequires: perl(Pod::Weaver::Role::Finalizer)
BuildRequires: perl(Pod::Weaver::Role::Preparer)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Software::License::Artistic_1_0)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Trim)
BuildRequires: perl(utf8)
BuildArch: noarch

%description
This plugin simply ensures that the POD after weaving has no duplicate
top-level section headers. This can help you if you are converting from
writing all your own POD to generating it with the Pod::Weaver manpage. If
you begin generating a section with the Pod::Weaver manpage but you forget
to delete the manually written section of the same name, this plugin will
warn you.

By default, this module does some tricks to detect similar headers, such as
'AUTHOR' and 'AUTHORS'. You can turn this off by setting 'strict = 1' in
_weaver.ini_, in which case only _exactly identical_ headers will be
considered duplicates of each other.

DIAGNOSTIC MESSAGES
    If any similar (or identical if 'strict' is 1) section headers are
    found, all of their names will be listed on STDERR. Generally, you
    should take this list of modules and remove each from your POD. Then
    you should ensure that the sections generated by the Pod::Weaver
    manpage are suitable substitutes for those sections. In the case of
    similar names, only the first instance in each set of similar names
    will be listed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc README Changes LICENSE INSTALL META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.121.550-8pclos2017
- rebuild against updates

